Bug 1418898 - The Fedora Media Writer program for Windows (primary download) does not work on Windows 7 nor 8.1 by default
Summary: The Fedora Media Writer program for Windows (primary download) does not work ...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: mediawriter
Version: 25
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Martin Bříza
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-02-03 02:40 UTC by Scott Dowdle
Modified: 2017-05-27 03:01 UTC (History)
4 users (show)

Fixed In Version: mediawriter-4.1.0-1.fc25
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-05-27 03:01:17 UTC


Attachments (Terms of Use)
Fedora Media Writer - Windows 7 error message (9.81 KB, image/png)
2017-02-03 02:40 UTC, Scott Dowdle
no flags Details

Description Scott Dowdle 2017-02-03 02:40:31 UTC
Created attachment 1247352 [details]
Fedora Media Writer - Windows 7 error message

I downloaded the primary download link on the getfedora.org webpage from a Windows box.  Pick download... and it gives me the FedoraMediaWriter-win32-4.0.7.exe program.  On Windows 7 it installs just fine but when attempting to run it I get an error dialog box that says:

"Microsoft Visual C++ Runtime Library

This application has requested the Runtime to terminate it in an unusual way.
Please contact the application's support team for more information."

(See attached image)

A friend of mine tried it on Windows 8.1 (which I don't have) and said they got the same thing.

On Windows 10, it works.

Seems to want (I believe), Microsoft Visual C++ 2012 Redistributable (11.0.60610)... which doesn't seem to be on most Windows 7 and 8.1 systems unless a newer flavor of Visual Studio is installed... or some previous program required it and the user had it installed for other reasons.

It would be nice if it just worked by default by either bundling the needed package somehow (if it is legally redistributable?)... or direct the user to the correct place to download it from the Microsoft website.  Users having to do a web search to find it on their own is a recipe for disaster for non-advanced Windows users... and since the error when as a gui application doesn't even report what it can't find.  I believe if you run it from the command line on Windows, what it is looking for is listed in the various output.

Comment 1 Martin Bříza 2017-02-03 09:18:51 UTC
This is a problem with the how Qt links against ANGLE (OpenGL emulation layer). Updating you graphics card driver can help this before I get a proper fix. I'm working on this right now.

Comment 2 Martin Bříza 2017-04-25 10:39:00 UTC
So, in the current state in version 4.0.95 it should be fixed, at least for computers with graphics cards from the last decade and Windows versions above or equal 7. If you find a minute or two of your time, please test the newest version from https://github.com/MartinBriza/MediaWriter/releases .

Comment 3 mtamaku 2017-05-04 20:59:03 UTC
Thank a lot Martin. After so many sites and search, this version 4.0.95 worked on my HP 8440P WIn 7 32 bit worked. Would be nice to have this loaded on Fedora to save time.

Thank you for fixing the bug. Now I have to boot from USB and see if all works as expected.

Comment 4 Ghanshyam Verma 2017-05-09 16:40:52 UTC
The fedora media writer won't launch on windows 7/10 either. I tried launching it (after installation) using compatibility mode for windows xp (service pack 2/3) and with administrative privileges. It does not pop any error message/warning either.

Comment 5 Ghanshyam Verma 2017-05-09 16:51:39 UTC
(In reply to Ghanshyam Verma from comment #4)
> The fedora media writer won't launch on windows 7/10 either. I tried
> launching it (after installation) using compatibility mode for windows xp
> (service pack 2/3) and with administrative privileges. It does not pop any
> error message/warning either.

the release provided at https://github.com/MartinBriza/MediaWriter/releases worked. Should have read entire thread earlier.

Comment 6 Martin Bříza 2017-05-10 09:51:42 UTC
Great to read it's working for you guys. :)

Comment 7 Fedora Update System 2017-05-18 14:48:49 UTC
mediawriter-4.1.0-1.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-dade9f0f49

Comment 8 Fedora Update System 2017-05-20 01:05:46 UTC
mediawriter-4.1.0-1.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-dade9f0f49

Comment 9 Fedora Update System 2017-05-27 03:01:17 UTC
mediawriter-4.1.0-1.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.